Bug 274591 - Yum update of rpm fails with rpm-libs version conflict
Yum update of rpm fails with rpm-libs version conflict
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-02 11:54 EDT by Carl Preddy
Modified: 2013-01-09 23:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 00:55:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
terminal output of yum update rpm-libs (3.07 KB, text/plain)
2007-09-02 11:54 EDT, Carl Preddy
no flags Details

  None (edit)
Description Carl Preddy 2007-09-02 11:54:43 EDT
Description of problem:
yum fails to install latest update of rpm, reporting the rpm-libs needs a
version that is not available; according to rpm this version is already
installed. Console trace attached.

Version-Release number of selected component (if applicable):
Currently installed : rpm-4.4.2.1-9.fc8
Unable to update to : 4.4.2.2-0.1.rc1

How reproducible: Has stopped pup/yum updates for the past 3 days

Steps to Reproduce:
1. yum update  or yum update rpm  or yum updates rpm-libs
  
Actual results: see attachment. debug reports a version conflict and stops
Expected results: updates happen

Additional info:
Comment 1 Carl Preddy 2007-09-02 11:54:43 EDT
Created attachment 184871 [details]
terminal output of yum update rpm-libs
Comment 2 Panu Matilainen 2007-09-03 10:55:38 EDT
Mm.. the multilib copy of rpm-libs is missing in the latest build of rpm for
whatever reason (multilib rpm-devel is there however). Jesse, any idea what's up?
Comment 3 Carl Preddy 2007-09-11 21:45:29 EDT
As of today this conflict appears to have been resolved. Successfully updated to
rpm-4.4.2.2-0.4.rc1
Comment 4 Panu Matilainen 2007-09-12 00:55:00 EDT
Ok, good. I don't know how the multilib / no multilib decisions are made (by a
script AFAIK) but the temporary disappearing might've had something to do with
bug #278151. And also F8-test2 freeze preventing from much anything from
happening...

Note You need to log in before you can comment on or make changes to this bug.